libzypp: zypp::target::rpm::RebuildDBReport Struct Reference

libzypp 17.25.10

Public Types | Public Member Functions | List of all members
zypp::target::rpm::RebuildDBReport Struct Reference

`#include <ZYppCallbacks.h>`

Inheritance diagram for zypp::target::rpm::RebuildDBReport:
[legend]

## Public Types
enum | Action { ABORT , RETRY , IGNORE }
enum | Error { NO_ERROR , FAILED }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (Pathname)
virtual bool | progress (int, Pathname)
virtual Action | problem (Pathname, Error, const std::string &)
virtual void | finish (Pathname, Error, const std::string &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data. More...
virtual | ~ReportBase ()

## Detailed Description

Definition at line 611 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::target::rpm::RebuildDBReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |

Definition at line 613 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::target::rpm::RebuildDBReport::Error

Enumerator
NO_ERROR |
FAILED |

Definition at line 619 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::target::rpm::RebuildDBReport::start | ( | Pathname |  | ) |
| inlinevirtual

Definition at line 624 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::target::rpm::RebuildDBReport::progress | ( | int | ,
|  | Pathname |
| ) |  |
| inlinevirtual

Definition at line 626 of file ZYppCallbacks.h.

## ◆ problem()

virtual Action zypp::target::rpm::RebuildDBReport::problem | ( | Pathname | ,
|  | Error | ,
|  | const std::string & |
| ) |  |
| inlinevirtual

Definition at line 629 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::target::rpm::RebuildDBReport::finish | ( | Pathname | ,
|  | Error | ,
|  | const std::string & |
| ) |  |
| inlinevirtual

Definition at line 635 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h